View Issue Details

IDProjectCategoryView StatusLast Update
0021725mantisbtcode cleanuppublic2016-10-02 18:41
Reporterval-kulkovAssigned Tocommunity 
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021725: cleanup description of db_now()
Description

The DocBlock specifies that db_now() returns a DATETIME-formatted string. This is incorrect. In fact, db_now() returns a Unix timestamp.

Additional Information

Reported in https://github.com/mantisbt/mantisbt/pull/905

TagsNo tags attached.

Activities

dregad

dregad

2016-09-29 03:20

developer   ~0054088

Backported to 1.3.x

dregad

dregad

2016-09-29 03:28

developer   ~0054089

Backported to 1.3.x

Related Changesets

MantisBT: master cd74a2eb

2016-09-27 14:04:36

val-kulkov


Committer: dregad Details Diff
cleanup db_now() phpdoc

db_now() returns a Unix timestamp, not a DATETIME-formatted string as
currently described in the DocBlock. This updates the function
description.

Fixes 0021725

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/database_api.php Diff File

MantisBT: master-1.3.x ea01418a

2016-09-27 14:04:36

val-kulkov


Committer: dregad Details Diff
cleanup db_now() phpdoc

db_now() returns a Unix timestamp, not a DATETIME-formatted string as
currently described in the DocBlock. This updates the function
description.

Fixes 0021725

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/database_api.php Diff File

Issue History

Date Modified Username Field Change
2016-09-28 10:23 val-kulkov New Issue
2016-09-28 12:41 dregad Assigned To => community
2016-09-28 12:41 dregad Status new => assigned
2016-09-29 03:03 dregad Changeset attached => MantisBT master cd74a2eb
2016-09-29 03:03 dregad Assigned To community => dregad
2016-09-29 03:03 dregad Status assigned => resolved
2016-09-29 03:03 dregad Resolution open => fixed
2016-09-29 03:03 dregad Fixed in Version => 2.0.0-beta.3
2016-09-29 03:05 dregad Assigned To dregad => community
2016-09-29 03:05 dregad Target Version => 2.0.0-beta.3
2016-09-29 03:20 dregad Fixed in Version 2.0.0-beta.3 => 1.3.2
2016-09-29 03:20 dregad Target Version 2.0.0-beta.3 => 1.3.2
2016-09-29 03:20 dregad Note Added: 0054088
2016-09-29 03:20 dregad Changeset attached => MantisBT master-1.3.x ea01418a
2016-09-29 03:28 dregad Note Added: 0054089
2016-10-02 18:41 vboctor Status resolved => closed